Ventia
Users
POST
/users

Authorization

bearerAuth
AuthorizationBearer <token>

API key sent as Authorization: Bearer <API_KEY>.

In: header

Request Body

application/json

name*string

The user's first name

Length2 <= length <= 32
lastname*string

The user's last name

Length1 <= length
email*string

The user's email address

Formatemail
password*string

The user's password

Length4 <= length
phone_work?|

The user's work phone number

roles?array<>

The user's roles

Default["user"]

Response Body

application/json

curl -X POST "https://api.getventia.com/api/v1.0/users" \  -H "Content-Type: application/json" \  -d '{    "name": "John",    "lastname": "Doe",    "email": "john.doe@example.com",    "password": "mySecurePassword123",    "phone_work": "+1234567890",    "roles": [      "user",      "comercial"    ]  }'
{
  "_id": "64b7654c3f3ae9b9d1e7c5d8",
  "name": "John",
  "lastname": "Doe",
  "email": "john.doe@example.com",
  "phone_work": "+1234567890",
  "group": "64b7654c3f3ae9b9d1e7c5d7",
  "roles": [
    "user",
    "comercial"
  ],
  "firstLogin": true
}
Empty
Empty
Empty